
/* -*-C-*-
********************************************************************************
*
* File:         send.c
*
*
********************************************************************************
*/#define MICROSOFT
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
#if (defined(UNIX) || defined(MICROSOFT))
#include <types.h>
#endif
#include "bm.h"
#include "globals.h"

char *ptime();

/* Return Date/Time in Arpanet format in passed string */
/* Print out the time and date field as
	*  "DAY day MONTH year hh:mm:ss ZONE"
	*/
char *
ptime(t)
long *t;
{
	register struct tm *ltm;
	struct tm *localtime();
	static char tz[4];
	static char str[40];
	extern char *getenv();
	char *p;
	static char *days[7] = {
				"Sun","Mon","Tue","Wed","Thu","Fri","Sat" };

	static char *months[12] = {
		"Jan","Feb","Mar","Apr","May","Jun",
		"Jul","Aug","Sep","Oct","Nov","Dec" };

	/* Read the system time */
	ltm = localtime(t);

	if (*tz == '\0')
		if ((p = getenv("TZ")) == NULL)
			strcpy(tz,"GMT");
		else
			strncpy(tz,p,3);

	/* rfc 822 format */
	sprintf(str,"%s, %.2d %s %02d %02d:%02d:%02d %.3s\r\n",
		days[ltm->tm_wday],
		ltm->tm_mday,
		months[ltm->tm_mon],
		ltm->tm_year,
		ltm->tm_hour,
		ltm->tm_min,
		ltm->tm_sec,
		tz);
	return(str);
}

#define SKIPWORD(X) while(*X && *X!=' ' && *X!='\t' && *X!='\n' && *X!= ',') X++;
#define SKIPSPACE(X) while(*X ==' ' || *X =='\t' || *X =='\n' || *X == ',') X++;

